%define major	0
%define apiver	2.0
%define libname	%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname %{name} -d
%define develsname	%mklibname %{name} -d -s

%define sname	SDL2_mixer

Summary:	Simple DirectMedia Layer 2 - mixer
Name:		sdl2_mixer
Version:	2.0.0
Release:	%mkrel 1
License:	Zlib
Group:		System/Libraries
URL:		http://www.libsdl.org/projects/SDL_mixer/
Source0:	http://www.libsdl.org/projects/SDL_mixer/release/%{sname}-%{version}.tar.gz
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(zlib)

%description
SDL2_mixer is a sample multi-channel audio mixer library. It supports any
number of simultaneously playing channels of 16 bit stereo audio, plus a
single channel of music, mixed by the popular MikMod MOD, Timidity MIDI
and SMPEG MP3 libraries.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(sdl2)
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{apiver}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{develsname}
Summary:	Static library for developing static programs that use %{name}
Group:		Development/C

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package -n %{name}-player
Summary:	Players using %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	SDL_mixer-player

%description -n %{name}-player
This package contains binary to test the associated library.

%prep
%setup -q -n %{sname}-%{version}

%build
%configure2_5x	--enable-music-mod \
		--disable-music-ogg-shared \
		--disable-music-flac-shared
%make

iconv -f ISO-8859-1 -t UTF-8 CHANGES.txt > CHANGES.tmp
touch -r CHANGES.txt CHANGES.tmp
mv CHANGES.tmp CHANGES.txt

%install
%makeinstall_std install-bin

%files -n %{name}-player
%doc README.txt
%{_bindir}/playwave
%{_bindir}/playmus

%files -n %{libname}
%doc COPYING.txt
%doc timidity/FAQ timidity/README
%{_libdir}/lib*%{apiver}.so.%{major}*

%files -n %{develname}
%doc README.txt CHANGES.txt
%{_libdir}/lib*.so
%{_includedir}/SDL2/*
%{_libdir}/pkgconfig/%{sname}.pc

%files -n %{develsname}
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Sun Dec 08 2013 akien <akien> 2.0.0-1.mga4
+ Revision: 555865
- Adapted forked spec file to sdl2_mixer (new apiver)
- Removed patches obsoleted by upstream
- Added BR on fluidsynth and modplug
- Forking SDL_mixer into sdl2_mixer

  + blue_prawn <blue_prawn>
    - fixed the license, and static split

  + colin <colin>
    - Apply Fedora patches for latest mikmod

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + shlomif <shlomif>
    - Rebuild, in order to get playmus working again.

  + fwang <fwang>
    - new version 1.2.12
    - clean up spec
    - rebuild for new dfb

  + ahmad <ahmad>
    - Drop BR nas-devel (is nas sound still used?)
    - Modify configure options; s/enable-music-libmikmod/enable-music-mod/, the former
      isn't recognised by the configure script

  + misc <misc>
    - remove uneeded requires on esound-devel, it compile fine without it

  + boklm <boklm>
    - increase release to make it higher than mdv2010.1

  + supp <supp>
    - remove unneeded smpeg BuildRequire
    - add patch (from upstream) fixing some uninitialized values...
    - imported package SDL_mixer

